package tests

import (
	"testing"

	"github.com/stretchr/testify/assert"

	"orus.io/orus-io/rednerd/models"
	"orus.io/orus-io/rednerd/testutils/apitester"
)

func TestVarlist(t *testing.T) {
	ctx := t.Context()

	tester := apitester.NewAPITester(ctx, t, nil)
	defer tester.Close()

	defer tester.Logout()
	tester.Login("admin", "admin")

	tester.CreateUser("janedoe", "janedoe")
	tester.Login("janedoe", "janedoe")

	t.Run("mustache", func(t *testing.T) {
		defer tester.SetT(t)()
		result := tester.Varlist(
			&models.Template{
				Language:   "mustache",
				Produces:   "text/mjml",
				BodyFormat: "text",
				Body:       "<mjml> <mj-body> <mj-section> <mj-column> <mj-text>hello {{name}}</mj-text> </mj-column> </mj-section> </mj-body> </mjml>", //nolint:lll
			},
		)
		assert.Equal(t, []string{
			"name",
		}, result)
	})
}
